FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202202151117.p0.gbc715d1.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.gbc715d1.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bc715d1 OS_GIT_VERSION=4.6.0-202202151117.p0.gbc715d1.assembly.stream-bc715d1 SOURCE_DATE_EPOCH=1631804324 SOURCE_GIT_COMMIT=bc715d1b8182975218ed1216487197a86290872a SOURCE_GIT_TAG=v0.0.0-alpha.0-260-gbc715d1b8 SOURCE_GIT_URL=https://github.com/openshift/sdn 
WORKDIR /go/src/github.com/openshift/sdn
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20220215.113753
ENV __doozer=update BUILD_RELEASE=202202151117.p0.gbc715d1.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.gbc715d1.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bc715d1 OS_GIT_VERSION=4.6.0-202202151117.p0.gbc715d1.assembly.stream-bc715d1 SOURCE_DATE_EPOCH=1631804324 SOURCE_GIT_COMMIT=bc715d1b8182975218ed1216487197a86290872a SOURCE_GIT_TAG=v0.0.0-alpha.0-260-gbc715d1b8 SOURCE_GIT_URL=https://github.com/openshift/sdn 
RUN INSTALL_PKGS="conntrack-tools" && \
    yum install -y --setopt=tsflags=nodocs $INSTALL_PKGS && \
    yum clean all && rm -rf /var/cache/*

COPY --from=builder /go/src/github.com/openshift/sdn/kube-proxy /usr/bin/
COPY ./images/iptables-scripts/iptables /usr/sbin/
COPY ./images/iptables-scripts/iptables-save /usr/sbin/
COPY ./images/iptables-scripts/iptables-restore /usr/sbin/
COPY ./images/iptables-scripts/ip6tables /usr/sbin/
COPY ./images/iptables-scripts/ip6tables-save /usr/sbin/
COPY ./images/iptables-scripts/ip6tables-restore /usr/sbin/

LABEL \
        io.k8s.display-name="Kubernetes kube-proxy" \
        io.k8s.description="Provides kube-proxy for external CNI plugins" \
        io.openshift.tags="openshift,kube-proxy" \
        name="openshift/ose-kube-proxy" \
        com.redhat.component="kube-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="openshift-sdn" \
        release="202202151117.p0.gbc715d1.assembly.stream" \
        io.openshift.build.commit.id="bc715d1b8182975218ed1216487197a86290872a" \
        io.openshift.build.source-location="https://github.com/openshift/sdn" \
        io.openshift.build.commit.url="https://github.com/openshift/sdn/commit/bc715d1b8182975218ed1216487197a86290872a" \
        version="v4.6.0"

